Please upload large files to Wikimedia Commons
Closed, ResolvedPublic

Description

http://tools.wikimedia.pl/~odder/tpp/Devdas_1935.webm

With the following

{{information
|Description = {{en|[[:en:Devdas (1935 film)|]], an Indian movie.}}
|Source = https://www.youtube.com/watch?v=jXbOGc4RZ-0
|Author = Pramathesh Barua
|Date = 1935
|Permission =
|Other versions =
}}

License: {{PD-India}} + {{PD-1996}}
Yann created this task.Nov 25 2015, 10:52 PM
Yann updated the task description. (Show Details)
Yann raised the priority of this task from to Needs Triage.
Yann added a subscriber: Yann.
Bawolff updated the task description. (Show Details)Nov 25 2015, 10:53 PM
Bawolff set Security to None.
Bawolff added a subscriber: Bawolff.
Krenair claimed this task.Nov 25 2015, 11:33 PM
Krenair closed this task as Resolved.Nov 25 2015, 11:36 PM
krenair@tin:~/T119673$ http_proxy=webproxy:8080 wget "http://tools.wikimedia.pl/~odder/tpp/Devdas_1935.webm"
--2015-11-25 23:31:53--  http://tools.wikimedia.pl/~odder/tpp/Devdas_1935.webm
Resolving webproxy (webproxy)... 2620:0:861:1:208:80:154:10, 208.80.154.10
Connecting to webproxy (webproxy)|2620:0:861:1:208:80:154:10|:8080... connected.
Proxy request sent, awaiting response... 200 OK
Length: 1376794832 (1.3G) [video/webm]
Saving to: `Devdas_1935.webm'

100%[====================================>] 1,376,794,832 11.1M/s   in 2m 5s   

2015-11-25 23:33:58 (10.5 MB/s) - `Devdas_1935.webm' saved [1376794832/1376794832]

krenair@tin:~/T119673$ mwscript importImages.php commonswiki --comment-ext txt --user Yann .
Import Images

Importing Devdas_1935.webm...done.

Found: 1
Added: 1
krenair@tin:~/T119673$
tomasz reopened this task as Open.Nov 26 2015, 9:18 PM
tomasz triaged this task as Low priority.
tomasz added a subscriber: tomasz.EditedNov 26 2015, 9:30 PM

Re-opening because I made a mistake and downloaded a video-only version of the film from YouTube (no other high-quality version is available in WebM anyway).

I'm currently transcoding the original MP4 file to WebM (VP8 video + Vorbis audio), and will drop here a link once it's ready. I'm using the original bitrate for both audio and video, so the file will be a bit bigger.

Once this is done, please overwrite the existing file at https://commons.wikimedia.org/wiki/File:Devdas_1936.webm

If transcoding is taking too long, it might be faster to just transcode the audio and mux it into the video vp9 file from youtube.

zhuyifei1999 added a subscriber: zhuyifei1999.EditedNov 27 2015, 7:49 AM

try http://tools.wmflabs.org/yifeibot/output/youtube-jXbOGc4RZ-0.webm vp9/opus
(video, audio, merged with avconv version 11.4 built on Nov 2 2015 12:38:57 with gcc 4.8 (Ubuntu 4.8.4-2ubuntu1~14.04) on tool labs)

@zhuyifei1999: are you suggesting I upload that under your name, replacing the existing file?

zhuyifei1999 added a comment.EditedNov 28 2015, 3:16 AM

@zhuyifei1999: are you suggesting I upload that under your name, replacing the existing file?

I'm fine with that. If a Dailymotion version is available, I'm also fine if that version is uploaded instead.

o.O That's a png. Any ideas on how to download a video from Dailymotion?
EDIT: youtube-dl works. ETA 1-2 hours

zhuyifei1999 added a comment.EditedNov 28 2015, 5:44 AM

Downloaded to http://tools.wmflabs.org/yifeibot/output/dailymotion-x2735tc.mp4 with youtube-dl
converting to http://tools.wmflabs.org/yifeibot/output/dailymotion-x2735tc.webm with /data/project/yifeibot/.local/bin/avconv -y -i file:/data/project/yifeibot/public_html/output/dailymotion-x2735tc.mp4 -crf 10 -qmin 0 -qmax 10 -q:a 6 file:/data/project/yifeibot/public_html/output/dailymotion-x2735tc.webm ETA 2-3 hours

Resulting file is 559M (vp8/vorbis). I'll get it uploaded with chunked uploading.